So... you got the insertion point, rotation, and text... where all you need is the text. Why would you need to gather all the other data?
Plus, you only set your results in the "new_coords" variable, you didn't actually modified the entity itself. You should look at the entmod or vla-put-TextString function.
Also, have a look at the assoc function, it will save you lots of trouble and lines. Below should achieve what you want:
(defun c:EH2000korg ( / 1_1 const ent set_1 text1)
(setq const (cond ((getreal "\nSpecify constant to add <0.23>: ")) (0.23)))
(if (setq set_1 (ssget "x" '((0 . "TEXT") (7 . "ITALIC") (8 . "korgus-EH2000"))))
(repeat (setq 1_1 (sslength set_1))
(setq ent (ssname set_1 (setq 1_1 (1- 1_1)))
text1 (cdr (assoc 1 (entget ent)))
)
(entmod
(subst
(cons 1 (strcat " " (rtos (+ const (atof text1)) 2 2)))
(assoc 1 (entget ent))
(entget ent)
)
)
)
)
(princ)
)